---------------------
PatchSet 3086 
Date: 2005/03/30 16:22:01
Author: cladisch
Branch: HEAD
Tag: (none) 
Log:
Summary: usb-audio - allow USB MIDI quirks to specify endpoints explicitly

This patch reintroduces the check for endpoint numbers that are
specified explicitly in the quirk structure.
This check was accidentally dropped in the last rewrite of
snd_usbmidi_detect_endpoints().

Members: 
	usb/usbmidi.c:1.45->1.46 

Index: /sound/usb/usbmidi.c
diff -u /sound/usb/usbmidi.c.old /sound/usb/usbmidi.c
--- /sound/usb/usbmidi.c.old	Wed Mar 23 23:17:17 2005
+++ /sound/usb/usbmidi.c	Wed Mar 30 07:22:01 2005
@@ -1229,6 +1229,9 @@
 	if (le16_to_cpu(umidi->chip->dev->descriptor.idVendor) == 0x0582)
 		snd_usbmidi_switch_roland_altsetting(umidi);
 
+	if (endpoint[0].out_ep || endpoint[0].in_ep)
+		return 0;	
+
 	intf = umidi->iface;
 	if (!intf || intf->num_altsetting < 1)
 		return -ENOENT;
